Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.schedule
Class CalendarTaskScheduler

    java.lang.Object
      com.stc.connector.tcpip.model.schedule.CalendarTaskScheduler

All Implemented Interfaces:
  Scheduler

    public class CalendarTaskScheduler

extends java.lang.Object
implements Scheduler

RA calendar scheduler for exchange/communication.

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2008/03/03 15:36:00 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Fields inherited from interface com.stc.connector.tcpip.model.schedule.Scheduler
`TYPE_TIMER_SERVICE, TYPE_WORK_MANAGER`

Constructor Summary
`CalendarTaskScheduler(CalendarSchedule schedule)` Constructor for CalendarTaskScheduler.

Method Summary
`void` | `cancel()`
`void` | `schedule(Task task)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### CalendarTaskScheduler

    public CalendarTaskScheduler(CalendarSchedule schedule)
                          throws java.lang.IllegalArgumentException

  Constructor for CalendarTaskScheduler.

  Parameters:
    `schedule` - CalendarSchedule
  Throws:
    `java.lang.IllegalArgumentException` - on error

Method Detail

### schedule

    public void schedule(Task task)
                  throws java.lang.Exception

  Specified by:
    `schedule` in interface `Scheduler`
  Parameters:
    `task` - task to schedule
  Throws:
    `java.lang.Exception`
  See Also:
    `Scheduler.schedule(com.stc.connector.tcpip.model.schedule.Task)`

### cancel

    public void cancel()

  Specified by:
    `cancel` in interface `Scheduler`
  See Also:
    `Scheduler.cancel()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD